Jump to: navigation, search

Difference between revisions of "How to Build DTP 0.7"

(How to Build DTP 0.7)
 
(4 intermediate revisions by 2 users not shown)
Line 1: Line 1:
=How to Build DTP 0.7=
+
{{Back To|name=DTP Main Page|href=Data Tools Platform Project}}
←[[Data Tools Platform Project | Back to DTP Main Page ]]
+
 
==Introduction==
 
==Introduction==
 
DTP 0.7 is built against the [http://www.eclipse.org/eclipse/ Eclipse 3.1] platform and the appropriate versions of [http://www.eclipse.com/emf EMF] and [http://www.eclipse.org/gef GEF]. You'll also need to have the DTP compatibility pack installed to build DTP 0.7, whether or not you will use it ultimately in Eclipse 3.2. The easiest way to install the compatibility pack is to download and add it to your Eclipse plugins folder, since the code in this layer changes (typically) when a new Eclipse 3.2 milestone build is released.
 
DTP 0.7 is built against the [http://www.eclipse.org/eclipse/ Eclipse 3.1] platform and the appropriate versions of [http://www.eclipse.com/emf EMF] and [http://www.eclipse.org/gef GEF]. You'll also need to have the DTP compatibility pack installed to build DTP 0.7, whether or not you will use it ultimately in Eclipse 3.2. The easiest way to install the compatibility pack is to download and add it to your Eclipse plugins folder, since the code in this layer changes (typically) when a new Eclipse 3.2 milestone build is released.
Line 16: Line 15:
 
** ''org.eclipse.datatools.sqltools''
 
** ''org.eclipse.datatools.sqltools''
 
'''Note:''' Not all the plug-ins you will find in these modules are required. You can determine which plug-ins are required by inspecting the build files for each module found in the '''org.eclipse.datatools.build''' project you checked out in the first step.
 
'''Note:''' Not all the plug-ins you will find in these modules are required. You can determine which plug-ins are required by inspecting the build files for each module found in the '''org.eclipse.datatools.build''' project you checked out in the first step.
* Build
+
* Use the following ant command to build DTP 0.7:
 +
** ant -Declipse.home=D:\dtp_build\workfolder\eclipse_plugins -Dadd.javadoc=false dtp.build
 +
'''Note:''' You will need to change the value of the ''eclipse.home'' parameter to point at your Eclipse folder (''not'' to the plugins folder!). Also remember that the DTP compatibility plug-ins need to be present in this location.
 +
* When the build is done, look in the ''org.eclipse.datatools.build'' project. You should see a ''download\eclipse\plugins'' directory structure containing the plug-ins built.
 +
* The build scripts are designed to fail on compile errors, so a successful build means that all code compiled.
 +
 
 +
[[Category:Data Tools Platform]]

Latest revision as of 22:25, 26 August 2007

Back to DTP Main Page

Introduction

DTP 0.7 is built against the Eclipse 3.1 platform and the appropriate versions of EMF and GEF. You'll also need to have the DTP compatibility pack installed to build DTP 0.7, whether or not you will use it ultimately in Eclipse 3.2. The easiest way to install the compatibility pack is to download and add it to your Eclipse plugins folder, since the code in this layer changes (typically) when a new Eclipse 3.2 milestone build is released.

If you would like to build DTP 0.7 compatibility as well, you will need to do that first, before attempting to build the main DTP code line. Instructions for doing so can be found here.

Finally, you will need Apache Ant, version 1.6 or later.

Building DTP 0.7

  • Check out a copy of org.eclipse.datatools.build from DTP CVS (/home/datatools). Naturally enough, this is found in the org.eclipse.datatools.build module.
  • Check out a copy of the DTP 0.7 plug-ins from each module:
    • org.eclipse.datatools.modelbase
    • org.eclipse.datatools.connectivity
    • org.eclipse.datatools.sqltools

Note: Not all the plug-ins you will find in these modules are required. You can determine which plug-ins are required by inspecting the build files for each module found in the org.eclipse.datatools.build project you checked out in the first step.

  • Use the following ant command to build DTP 0.7:
    • ant -Declipse.home=D:\dtp_build\workfolder\eclipse_plugins -Dadd.javadoc=false dtp.build

Note: You will need to change the value of the eclipse.home parameter to point at your Eclipse folder (not to the plugins folder!). Also remember that the DTP compatibility plug-ins need to be present in this location.

  • When the build is done, look in the org.eclipse.datatools.build project. You should see a download\eclipse\plugins directory structure containing the plug-ins built.
  • The build scripts are designed to fail on compile errors, so a successful build means that all code compiled.